#include "input.h"
#include "ui_input.h"
#include "src/view/execdialog.h"

Input::Input(QWidget *parent) :
    QWidget(parent),
    ui(new Ui::Input)
{
    QFont f;
    ui->setupUi(this);
    f = ui->labelContent->font();
    f.setPixelSize(14);

    ui->labelContent->setFont(f);
    //ui->labelContent->setGeometry(0,0,288,22);
    ui->labelContent->setGeometry(0,0,1,1);
    ui->lineEditResult->setGeometry(0,30,288,36);
	ui->labelContent->setAlignment(Qt::AlignVCenter | Qt::AlignLeft);
    ui->lineEditResult->setFont(f);
	ui->verticalLayout->setContentsMargins(24,0,24,15);;

    connect(this, SIGNAL(content(QString)), ui->labelContent, SLOT(setText(QString)));
    connect(this, SIGNAL(result(QString)), ui->lineEditResult, SLOT(setText(QString)));
}

QString Input::result()
{
    return ui->lineEditResult->text();
}

Input::~Input()
{
    delete ui;
}
